# Generated by Django 5.0.6 on 2024-09-16 04:25

import django.db.models.deletion
import project.apps.invest_project.models
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('address', '0002_address_geo_point_district_geo_polygon'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='InvestCategory',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=64)),
            ],
        ),
        migrations.CreateModel(
            name='InvestProject',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, db_index=True, verbose_name='created at')),
                ('deleted_at', models.DateTimeField(blank=True, editable=False, null=True, verbose_name='deleted at')),
                ('name', models.CharField()),
                ('target', models.TextField()),
                ('description', models.TextField()),
                ('invest_amount', models.PositiveIntegerField()),
                ('expected_profit', models.PositiveSmallIntegerField()),
                ('payback_period', models.PositiveSmallIntegerField()),
                ('financial_plan', models.URLField()),
                ('business_plan', models.URLField()),
                ('additional_info', models.TextField()),
                ('status', models.TextField(choices=[('draft', 'Draft'), ('published', 'Published'), ('archived', 'Archived')], default='draft', max_length=32)),
                ('address', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='projects', to='address.address')),
                ('category', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='projects', to='invest_project.investcategory')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='projects', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='DocumentLink',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('document_link', models.TextField(blank=True)),
                ('invest_project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='documents', to='invest_project.investproject')),
            ],
        ),
        migrations.CreateModel(
            name='Photo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, db_index=True, verbose_name='created at')),
                ('photo', models.ImageField(upload_to=project.apps.invest_project.models.upload_to)),
                ('order', models.PositiveSmallIntegerField()),
                ('invest_project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='photos', to='invest_project.investproject')),
            ],
            options={
                'unique_together': {('order', 'invest_project')},
            },
        ),
    ]
